# -*- coding: utf-8 -*-
# Generated by Django 1.11.2 on 2017-07-04 22:52
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


def create_default_membership(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    Adhesion = apps.get_model("adhesions", "Adhesion")
    RecurringPayment = apps.get_model("banking", "RecurringPayment")
    for adhesion in Adhesion.objects.using(db_alias).all():
        if not adhesion.membership:
            adhesion.membership = RecurringPayment.objects.using(db_alias).create()
            adhesion.save()


class Migration(migrations.Migration):

    dependencies = [
        ('banking', '0006_auto_20170705_1825'),
        ('adhesions', '0015_auto_20170614_2312'),
    ]

    operations = [
        migrations.AddField(
            model_name='adhesion',
            name='membership',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='banking.RecurringPayment'),
        ),
        migrations.RunPython(create_default_membership),
        migrations.AlterField(
            model_name='adhesion',
            name='membership',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='banking.RecurringPayment'),
        ),
    ]
